#
# spec file for package perl-XML-NamespaceSupport
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-XML-NamespaceSupport
Version:        1.12
Release:        1.28
%define cpan_name XML-NamespaceSupport
Summary:        Simple Generic Namespace Processor
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/XML-NamespaceSupport/
Source0:        https://cpan.metacpan.org/authors/id/P/PE/PERIGRIN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
This module offers a simple to process namespaced XML names (unames) from
within any application that may need them. It also helps maintain a prefix
to namespace URI map, and provides a number of basic checks.

The model for this module is SAX2's NamespaceSupport class, readable at
http://www.saxproject.org/namespaces.html It adds a few perlisations where
we thought it appropriate.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README
%license LICENSE

%changelog
* Fri Mar 31 2017 coolo@suse.com
- updated to 1.12
  see /usr/share/doc/packages/perl-XML-NamespaceSupport/Changes
* Mon Apr 15 2013 idonmez@suse.com
- Add Source URL, see https://en.opensuse.org/SourceUrls
* Fri Nov 18 2011 coolo@suse.com
- use original .tar.gz
* Tue Aug 30 2011 andrea.turrini@gmail.com
- standardized "Authors:" format in description of
  perl-XML-NamespaceSupport.spec
* Tue Nov 30 2010 coolo@novell.com
- switch to perl_requires macro
* Wed Mar 17 2010 lars@linux-schulserver.de
- update to 1.11:
  + re-generated the META.yml and removed the stale one from git
- updated URL in specfile
- build parallel
* Sat Jul 25 2009 chris@computersalat.de
- spec mods
  * removed ^----------
  * removed ^#---------
* Wed Jul 15 2009 chris@computersalat.de
- fix for failing builds
  o stop auto_install (Makefile.PL)
* Tue Jul 14 2009 chris@computersalat.de
- update to 1.10
  - Release real version since CPAN testers gave us a pass (perigrin)
- added perl-macros
  o autogen filelist with perl_gen_filelist
- spec mods
  o updated desc
- fixed deps
  o BuildReq perl(version)
  o BuildReq perl(YAML::Syck)
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jul 31 2005 cthiel@suse.de
- update to version 1.09
* Tue Jun 28 2005 ro@suse.de
- fix permissions
* Mon Nov 15 2004 ro@suse.de
- initial package
